package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.user.model.UserRole;
/**
 * 用户角色mapper对应src/main/resources/sqlmap下的userRole.xml配置文件
 * @author 钟辉
 *
 */
@Component("userRoleMapper")
public interface UserRoleMapper extends CommonMapper{

	public List<UserRole> findByUserId(int user_id);
	
	public void insert(UserRole userRole);
	
	public void addLinkRole(List<UserRole> list);
	
	public void delUserRoleByUserId(int user_id);
	
	public List<UserRole> findSECRETARYUserId();
}
